%if 0%{?fedora}
%global with_python3 1
%endif

%{!?_licensedir: %global license %%doc}

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname zope.dottedname

Name:           python-zope-dottedname
Summary:        Resolver for Python dotted names
Version:        4.1.0
Release:        2%{?dist}
Source0:        http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License:        ZPLv2.1
Group:          Development/Libraries
BuildArch:      noarch
URL:            http://pypi.python.org/pypi/zope.dottedname

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# for tests, should be removed in the next upstream release
BuildRequires:  python-zope-testing

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# for tests, should be removed in the next upstream release
BuildRequires:  python3-zope-testing
%endif

%description
The zope.dottedname module provides one function, 'resolve' that
resolves strings containing dotted names into the appropriate Python
object.

%package -n python2-zope-dottedname
Summary:        Resolver for Python dotted names
%{?python_provide:%python_provide python2-zope-dottedname}

Requires:       python2

%description -n python2-zope-dottedname
Manage dynamic plugins for Python applications

%if 0%{?with_python3}
%package -n python3-zope-dottedname
Summary:        Resolver for Python dotted names
%{?python_provide:%python_provide python3-zope-dottedname}

Requires:       python3

%description -n python3-zope-dottedname
Manage dynamic plugins for Python applications
%endif

%prep
%setup -q -n %{modname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%files -n python2-zope-dottedname
%doc README.rst CHANGES.rst
%license COPYRIGHT.txt LICENSE.txt

# Co-own %%{python2_sitelib}/zope/
%dir %{python2_sitelib}/zope/
%{python2_sitelib}/zope/dottedname/
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-zope-dottedname
%doc README.rst CHANGES.rst
%license COPYRIGHT.txt LICENSE.txt

# Co-own %%{python3_sitelib}/zope/
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope/dottedname/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth
%endif


%changelog
* Mon Jan 04 2016 Ralph Bean <rbean@redhat.com> - 4.1.0-2
- Python3 subpackaging.

* Mon Jan 04 2016 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- new version
- removed a patch now found upstream.
- Update docs files according to upstreams renames.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.4.6-4
- Include PKG-INFO in %%doc

* Sun May 27 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.4.6-3
- Remove defattr
- Move README.txt to %%doc

* Mon Sep 13 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.6-2
- Requires: python-zope-filesystem and python-setuptools removed
- Add %%check section and run tests
- Add python-zope-dottedname-3.4.6-run-tests.patch to register the test_suite
- Co-own %%{python_sitelib}/zope/
- Don't move the text files
- Spec cleaned up

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.6-1
- Initial packaging
